Subject: bug#13559: 24.3.50; mysterious, uncalled-for point movement when exit minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Jan 2013 20:13:52 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 26 Jan 2013 09:44:33 -0800
> 
> Sorry, but I cannot give a recipe to repro this yet.
>  
> Somehow, it is suddenly the case (with my setup, but only with
> recent builds, perhaps just the latest I have, 2013-01-25 -
> that's where I noticed it) that with even something as simple as
> M-x forward-char or M-: (forward-char), and even if I use C-g to
> cancel such (e.g., just M-x C-g), point gets moved to another
> location.  I need not hit C-g - the same thing happens with
> M-x forward-char RET.

Can you try reproducing this from "emacs -Q"?

I'm guessing that some redisplay change made lately goofed, but it's
hard to look for it without a recipe.